
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.util.Scanner;
import java.util.logging.Level;
import java.util.logging.Logger;


public class Fido {

    public static void main(String args[]) {
        Scanner s = new Scanner(System.in);
        Fido fido = new Fido(s.next());
        fido.printHTML();
    }


    private URLConnection connection;
    private final Logger logger = Logger.getGlobal();

    public Fido(String url) {
        try {
            connection = new URL(url).openConnection();
        }
        catch (IOException e) {
            logger.log(Level.SEVERE, "Invalid URL");
        }
    }

    public void printHTML() {
        try {
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(connection.getInputStream()));
            String inputline = bufferedReader.readLine();
            while (inputline != null) {
                System.out.println(inputline);
                inputline = bufferedReader.readLine();
            }
        }
        catch (IOException e) {
            logger.log(Level.SEVERE, "404: Not Found");
        }

    }



}
